---
title: SVGFEGaussianBlurElement
slug: Web/API/SVGFEGaussianBlurElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFEGaussianBlurElement</code></strong> interface corresponds to the {{SVGElement("feGaussianBlur")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_EDGEMODE_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_EDGEMODE_DUPLICATE</code></td>
   <td>1</td>
   <td>Corresponds to the <code>duplicate</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_EDGEMODE_WRAP</code></td>
   <td>2</td>
   <td>Corresponds to the <code>wrap</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_EDGEMODE_NONE</code></td>
   <td>3</td>
   <td>Corresponds to <code>none</code> value.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}, and also implements properties of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<dl>
 <dt>{{domxref("SVGFEGaussianBlurElement.in1")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} corresponding to the {{SVGAttr("in")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFEGaussianBlurElement.stdDeviationX")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the (possibly automatically computed) X component of the {{SVGAttr("stdDeviation")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFEGaussianBlurElement.stdDeviationY")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the (possibly automatically computed) Y component of the {{SVGAttr("stdDeviation")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFEGaussianBlurElement.edgeMode")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("edgeMode")}} attribute of the given element. Takes one of the <code>SVG_EDGEMODE_*</code> constants defined on this interface.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface also inherits methods of its parent, {{domxref("SVGElement")}}, and also implements methods of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<dl>
 <dt>{{domxref("SVGFEGaussianBlurElement.setStdDeviation()")}}</dt>
 <dd>Sets the values for the <code>stdDeviation</code> attribute.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFEGaussianBlurElement", "SVGFEGaussianBlurElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>Added <code>edgeMode</code> property.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFEGaussianBlurElement", "SVGFEGaussianBlurElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFEGaussianBlurElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("feGaussianBlur")}}</li>
</ul>
